import { autoAnimatePlugin } from '@formkit/auto-animate/vue'
import { plugin, /* defaultConfig */ } from '@formkit/vue'
import { createApp } from 'vue'
import formKitConfig from '../formkit.config'
import App from './App.vue'

// import '@unocss/reset/tailwind-compat.css'
import '@unocss/reset/tailwind.css'
import 'virtual:uno.css'

const app = createApp(App)

// https://github.dev/formkit/auto-animate/blob/master/docs/src/examples/formkit/ActualFormKit.vue
app.use(autoAnimatePlugin) // v-auto-animate="{ duration: 100 }"

app.use(plugin, formKitConfig)
app.mount('#app')
